Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicedef
Interface WSEndpoint

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface WSEndpoint

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'WS Endpoint'.

The following features are supported:

- `Code`
- `In Channel`
- `Out Channel`

See Also:
  `ServicedefPackage.getWSEndpoint()`

Method Summary
`java.lang.String` | `getCode()` Returns the value of the 'Code' attribute
`WSEndpointChannel` | `getInChannel()` Returns the value of the 'In Channel' containment reference
`WSEndpointChannel` | `getOutChannel()` Returns the value of the 'Out Channel' containment reference
`void` | `setCode(java.lang.String value)` Sets the value of the '`Code`' attribute
`void` | `setInChannel(WSEndpointChannel value)` Sets the value of the '`In Channel`' containment reference
`void` | `setOutChannel(WSEndpointChannel value)` Sets the value of the '`Out Channel`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCode

    java.lang.String getCode()

  Returns the value of the 'Code' attribute.

  If the meaning of the 'Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Code' attribute.
  See Also:
    `setCode(String)`, `ServicedefPackage.getWSEndpoint_Code()`

### setCode

    void setCode(java.lang.String value)

  Sets the value of the '`Code`' attribute.

  Parameters:
    `value` - the new value of the 'Code' attribute.
  See Also:
    `getCode()`

### getInChannel

    WSEndpointChannel getInChannel()

  Returns the value of the 'In Channel' containment reference.

  If the meaning of the 'In Channel' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'In Channel' containment reference.
  See Also:
    `setInChannel(WSEndpointChannel)`, `ServicedefPackage.getWSEndpoint_InChannel()`

### setInChannel

    void setInChannel(WSEndpointChannel value)

  Sets the value of the '`In Channel`' containment reference.

  Parameters:
    `value` - the new value of the 'In Channel' containment reference.
  See Also:
    `getInChannel()`

### getOutChannel

    WSEndpointChannel getOutChannel()

  Returns the value of the 'Out Channel' containment reference.

  If the meaning of the 'Out Channel' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Out Channel' containment reference.
  See Also:
    `setOutChannel(WSEndpointChannel)`, `ServicedefPackage.getWSEndpoint_OutChannel()`

### setOutChannel

    void setOutChannel(WSEndpointChannel value)

  Sets the value of the '`Out Channel`' containment reference.

  Parameters:
    `value` - the new value of the 'Out Channel' containment reference.
  See Also:
    `getOutChannel()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD